Commit 3d233cd6 authored by Jelmer Vernooij's avatar Jelmer Vernooij

Import upstream version 2.0.3~git20100517

parents
_talloc: void *(const void *, size_t)
_talloc_array: void *(const void *, size_t, unsigned int, const char *)
_talloc_free: int (void *, const char *)
_talloc_get_type_abort: void *(const void *, const char *, const char *)
_talloc_memdup: void *(const void *, const void *, size_t, const char *)
_talloc_move: void *(const void *, const void *)
_talloc_realloc: void *(const void *, void *, size_t, const char *)
_talloc_realloc_array: void *(const void *, void *, size_t, unsigned int, const char *)
_talloc_reference_loc: void *(const void *, const void *, const char *)
_talloc_set_destructor: void (const void *, int (*)(void *))
_talloc_steal_loc: void *(const void *, const void *, const char *)
_talloc_zero: void *(const void *, size_t, const char *)
_talloc_zero_array: void *(const void *, size_t, unsigned int, const char *)
talloc_asprintf: char *(const void *, const char *, ...)
talloc_asprintf_append: char *(char *, const char *, ...)
talloc_asprintf_append_buffer: char *(char *, const char *, ...)
talloc_autofree_context: void *(void)
talloc_check_name: void *(const void *, const char *)
talloc_disable_null_tracking: void (void)
talloc_enable_leak_report: void (void)
talloc_enable_leak_report_full: void (void)
talloc_enable_null_tracking: void (void)
talloc_enable_null_tracking_no_autofree: void (void)
talloc_find_parent_byname: void *(const void *, const char *)
talloc_free_children: void (void *)
talloc_get_name: const char *(const void *)
talloc_get_size: size_t (const void *)
talloc_increase_ref_count: int (const void *)
talloc_init: void *(const char *, ...)
talloc_is_parent: int (const void *, const void *)
talloc_named: void *(const void *, size_t, const char *, ...)
talloc_named_const: void *(const void *, size_t, const char *)
talloc_parent: void *(const void *)
talloc_parent_name: const char *(const void *)
talloc_pool: void *(const void *, size_t)
talloc_realloc_fn: void *(const void *, void *, size_t)
talloc_reference_count: size_t (const void *)
talloc_reparent: void *(const void *, const void *, const void *)
talloc_report: void (const void *, FILE *)
talloc_report_depth_cb: void (const void *, int, int, void (*)(const void *, int, int, int, void *), void *)
talloc_report_depth_file: void (const void *, int, int, FILE *)
talloc_report_full: void (const void *, FILE *)
talloc_set_abort_fn: void (void (*)(const char *))
talloc_set_log_fn: void (void (*)(const char *))
talloc_set_log_stderr: void (void)
talloc_set_name: const char *(const void *, const char *, ...)
talloc_set_name_const: void (const void *, const char *)
talloc_show_parents: void (const void *, FILE *)
talloc_strdup: char *(const void *, const char *)
talloc_strdup_append: char *(char *, const char *)
talloc_strdup_append_buffer: char *(char *, const char *)
talloc_strndup: char *(const void *, const char *, size_t)
talloc_strndup_append: char *(char *, const char *, size_t)
talloc_strndup_append_buffer: char *(char *, const char *, size_t)
talloc_total_blocks: size_t (const void *)
talloc_total_size: size_t (const void *)
talloc_unlink: int (const void *, void *)
talloc_vasprintf: char *(const void *, const char *, va_list)
talloc_vasprintf_append: char *(char *, const char *, va_list)
talloc_vasprintf_append_buffer: char *(char *, const char *, va_list)
talloc_version_major: int (void)
talloc_version_minor: int (void)
_talloc: void *(const void *, size_t)
_talloc_array: void *(const void *, size_t, unsigned int, const char *)
_talloc_free: int (void *, const char *)
_talloc_get_type_abort: void *(const void *, const char *, const char *)
_talloc_memdup: void *(const void *, const void *, size_t, const char *)
_talloc_move: void *(const void *, const void *)
_talloc_realloc: void *(const void *, void *, size_t, const char *)
_talloc_realloc_array: void *(const void *, void *, size_t, unsigned int, const char *)
_talloc_reference_loc: void *(const void *, const void *, const char *)
_talloc_set_destructor: void (const void *, int (*)(void *))
_talloc_steal_loc: void *(const void *, const void *, const char *)
_talloc_zero: void *(const void *, size_t, const char *)
_talloc_zero_array: void *(const void *, size_t, unsigned int, const char *)
talloc_asprintf: char *(const void *, const char *, ...)
talloc_asprintf_append: char *(char *, const char *, ...)
talloc_asprintf_append_buffer: char *(char *, const char *, ...)
talloc_autofree_context: void *(void)
talloc_check_name: void *(const void *, const char *)
talloc_disable_null_tracking: void (void)
talloc_enable_leak_report: void (void)
talloc_enable_leak_report_full: void (void)
talloc_enable_null_tracking: void (void)
talloc_enable_null_tracking_no_autofree: void (void)
talloc_find_parent_byname: void *(const void *, const char *)
talloc_free_children: void (void *)
talloc_get_name: const char *(const void *)
talloc_get_size: size_t (const void *)
talloc_increase_ref_count: int (const void *)
talloc_init: void *(const char *, ...)
talloc_is_parent: int (const void *, const void *)
talloc_named: void *(const void *, size_t, const char *, ...)
talloc_named_const: void *(const void *, size_t, const char *)
talloc_parent: void *(const void *)
talloc_parent_name: const char *(const void *)
talloc_pool: void *(const void *, size_t)
talloc_realloc_fn: void *(const void *, void *, size_t)
talloc_reference_count: size_t (const void *)
talloc_reparent: void *(const void *, const void *, const void *)
talloc_report: void (const void *, FILE *)
talloc_report_depth_cb: void (const void *, int, int, void (*)(const void *, int, int, int, void *), void *)
talloc_report_depth_file: void (const void *, int, int, FILE *)
talloc_report_full: void (const void *, FILE *)
talloc_set_abort_fn: void (void (*)(const char *))
talloc_set_log_fn: void (void (*)(const char *))
talloc_set_log_stderr: void (void)
talloc_set_name: const char *(const void *, const char *, ...)
talloc_set_name_const: void (const void *, const char *)
talloc_show_parents: void (const void *, FILE *)
talloc_strdup: char *(const void *, const char *)
talloc_strdup_append: char *(char *, const char *)
talloc_strdup_append_buffer: char *(char *, const char *)
talloc_strndup: char *(const void *, const char *, size_t)
talloc_strndup_append: char *(char *, const char *, size_t)
talloc_strndup_append_buffer: char *(char *, const char *, size_t)
talloc_total_blocks: size_t (const void *)
talloc_total_size: size_t (const void *)
talloc_unlink: int (const void *, void *)
talloc_vasprintf: char *(const void *, const char *, va_list)
talloc_vasprintf_append: char *(char *, const char *, va_list)
talloc_vasprintf_append_buffer: char *(char *, const char *, va_list)
talloc_version_major: int (void)
talloc_version_minor: int (void)
#!gmake
#
prefix = @prefix@
datarootdir = @datarootdir@
exec_prefix = @exec_prefix@
includedir = @includedir@
libdir = @libdir@
mandir = @mandir@
VPATH = @srcdir@:@libreplacedir@
srcdir = @srcdir@
builddir = @builddir@
sharedbuilddir = @sharedbuilddir@
XSLTPROC = @XSLTPROC@
INSTALLCMD = @INSTALL@
CC = @CC@
CFLAGS = @CFLAGS@ -DHAVE_CONFIG_H= -I. -I@srcdir@
EXTRA_TARGETS = @DOC_TARGET@
PICFLAG = @PICFLAG@
TALLOC_VERSION = @TALLOC_VERSION@
TALLOC_VERSION_MAJOR = @TALLOC_VERSION_MAJOR@
TALLOC_VERSION_MINOR = @TALLOC_VERSION_MINOR@
TALLOC_VERSION_RELEASE = @TALLOC_VERSION_RELEASE@
SHLIBEXT = @SHLIBEXT@
SHLD = @SHLD@
SHLD_FLAGS = @SHLD_FLAGS@
tallocdir = @tallocdir@
LIBOBJ = $(TALLOC_OBJ) @LIBREPLACEOBJ@
SONAMEFLAG = @SONAMEFLAG@
VERSIONSCRIPT = @VERSIONSCRIPT@
EXPORTSFILE = @EXPORTSFILE@
all:: showflags $(EXTRA_TARGETS)
include $(tallocdir)/rules.mk
include $(tallocdir)/talloc.mk
@TALLOC_COMPAT1_MK@
$(TALLOC_SOLIB): $(LIBOBJ)
$(SHLD) $(SHLD_FLAGS) -o $@ $(LIBOBJ) $(VERSIONSCRIPT) $(EXPORTSFILE) $(SONAMEFLAG)$(TALLOC_SONAME)
shared-build: all
${INSTALLCMD} -d $(sharedbuilddir)/lib
${INSTALLCMD} -m 644 libtalloc.a $(sharedbuilddir)/lib
${INSTALLCMD} -m 755 $(TALLOC_SOLIB) $(sharedbuilddir)/lib
ln -sf $(TALLOC_SOLIB) $(sharedbuilddir)/lib/$(TALLOC_SONAME)
ln -sf $(TALLOC_SOLIB) $(sharedbuilddir)/lib/libtalloc.so
${INSTALLCMD} -d $(sharedbuilddir)/include
${INSTALLCMD} -m 644 $(srcdir)/talloc.h $(sharedbuilddir)/include
check: test
installcheck:: test install
distclean:: clean
rm -f Makefile
rm -f config.log config.status config.h config.cache
realdistclean:: distclean
rm -f configure config.h.in
1.0.1 26 May 2007
BUGS
* Set name of correctly when using talloc_append_string() (metze)
LICENSE
* Change license of files in lib/replace to LGPL (was GPL). (jelmer)
1.0.0 30 April 2007
Initial release.
m4_include(libreplace.m4)
buildtools/scripts/autogen-waf.sh
\ No newline at end of file
#!/bin/sh
rm -rf autom4te.cache
rm -f configure config.h.in
IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace"
autoconf $IPATHS || exit 1
autoheader $IPATHS || exit 1
rm -rf autom4te.cache
echo "Now run ./configure and then make."
exit 0
AC_DEFUN(BUILD_WITH_SHARED_BUILD_DIR,
[ AC_ARG_WITH([shared-build-dir],
[AC_HELP_STRING([--with-shared-build-dir=DIR],
[temporary build directory where libraries are installed [$srcdir/sharedbuild]])])
sharedbuilddir="$srcdir/sharedbuild"
if test x"$with_shared_build_dir" != x; then
sharedbuilddir=$with_shared_build_dir
CFLAGS="$CFLAGS -I$with_shared_build_dir/include"
LDFLAGS="$LDFLAGS -L$with_shared_build_dir/lib"
fi
AC_SUBST(sharedbuilddir)
])
This copy of waf-svn is taken from the git mirror of waf
at:
git://git.samba.org/tridge/waf-svn.git
using the waf-samba branch
It was built using the command:
./waf-light --zip-type=gz --make-waf
See http://code.google.com/p/waf/ for more information on waf
You can get a svn copy of the upstream source with:
svn checkout http://waf.googlecode.com/svn/trunk/ waf-read-only
waf-svn
\ No newline at end of file
#!/bin/bash
# compare the generated config.h from a waf build with existing samba
# build
grep ^.define bin/default/source3/include/config.h | sort > waf-config.h
grep ^.define $HOME/samba_old/source3/include/config.h | sort > old-config.h
comm -23 old-config.h waf-config.h
#echo
#diff -u old-config.h waf-config.h
#!/bin/bash
# compare the generated config.h from a waf build with existing samba
# build
grep ^.define bin/default/source4/include/config.h | sort > waf-config.h
grep ^.define $HOME/samba_old/source4/include/config.h | sort > old-config.h
comm -23 old-config.h waf-config.h
#echo
#diff -u old-config.h waf-config.h
#!/bin/bash
# compare the generated files from a waf
old_build=$HOME/samba_old
gen_files=$(cd bin/default && find . -type f -name '*.[ch]')
2>&1
strip_file()
{
in_file=$1
out_file=$2
cat $in_file |
grep -v 'The following definitions come from' |
grep -v 'Automatically generated at' |
grep -v 'Generated from' |
sed 's|/home/tnagy/samba/source4||g' |
sed 's|/home/tnagy/samba/|../|g' |
sed 's|bin/default/source4/||g' |
sed 's|bin/default/|../|g' |
sed 's/define _____/define ___/g' |
sed 's/define __*/define _/g' |
sed 's/define _DEFAULT_/define _/g' |
sed 's/define _SOURCE4_/define ___/g' |
sed 's/define ___/define _/g' |
sed 's/ifndef ___/ifndef _/g' |
sed 's|endif /* ____|endif /* __|g' |
sed s/__DEFAULT_SOURCE4/__/ |
sed s/__DEFAULT_SOURCE4/__/ |
sed s/__DEFAULT/____/ > $out_file
}
compare_file()
{
f=$f
bname=$(basename $f)
t1=/tmp/$bname.old.$$
t2=/tmp/$bname.new.$$
strip_file $old_build/$f $t1
strip_file bin/default/$f $t2
diff -u -b $t1 $t2 2>&1
rm -f $t1 $t2
}
for f in $gen_files; do
compare_file $f
done
#!/bin/bash
prefix1="$1"
prefix2="$2"
(cd $prefix1 && find . ) | sort > p1.txt
(cd $prefix2 && find . ) | sort > p2.txt
diff -u p[12].txt
source4/main.mk
source4/lib/basic.mk
pidl/config.mk
nsswitch/config.mk
nsswitch/libwbclient/config.mk
source4/heimdal_build/internal.mk
source4/lib/ldb-samba/config.mk
source4/librpc/config.mk
source4/utils/config.mk
source4/utils/net/config.mk
source4/scripting/python/config.mk
source4/auth/config.mk
source4/auth/gensec/config.mk
source4/auth/kerberos/config.mk
source4/auth/ntlm/config.mk
source4/auth/credentials/config.mk
source4/auth/ntlmssp/config.mk
source4/libnet/config.mk
source4/nbt_server/config.mk
source4/wrepl_server/config.mk
source4/ntvfs/config.mk
source4/ntvfs/unixuid/config.mk
source4/ntvfs/sysdep/config.mk
source4/ntvfs/common/config.mk
source4/ntvfs/posix/config.mk
source4/selftest/config.mk
source4/cldap_server/config.mk
source4/smb_server/config.mk
source4/smb_server/smb2/config.mk
source4/smb_server/smb/config.mk
source4/smbd/config.mk source4/smbd/process_model.mk
source4/kdc/config.mk
source4/dsdb/config.mk
source4/dsdb/samdb/ldb_modules/config.mk
source4/web_server/config.mk
source4/param/config.mk
source4/winbind/config.mk
source4/cluster/config.mk
source4/client/config.mk
source4/ntptr/config.mk
source4/rpc_server/config.mk
source4/libcli/config.mk
source4/libcli/smb2/config.mk
source4/libcli/wbclient/config.mk
source4/libcli/security/config.mk
source4/libcli/ldap/config.mk
source4/ntp_signd/config.mk
source4/torture/config.mk
source4/torture/smb2/config.mk
source4/torture/local/config.mk
source4/torture/drs/config.mk
source4/torture/winbind/config.mk
source4/torture/libsmbclient/config.mk
source4/torture/libnetapi/config.mk
source4/lib/messaging/config.mk
source4/lib/events/config.mk
source4/lib/stream/config.mk
source4/lib/cmdline/config.mk
source4/lib/com/config.mk
source4/lib/registry/config.mk
source4/lib/wmi/config.mk
source4/lib/socket/config.mk
source4/lib/samba3/config.mk
source4/ldap_server/config.mk
libgpo/config.mk
libcli/cldap/config.mk
libcli/samsync/config.mk
libcli/nbt/config.mk
libcli/auth/config.mk
libcli/drsuapi/config.mk
libcli/security/config.mk
libcli/smb/config.mk
libcli/named_pipe_auth/config.mk
libcli/ldap/config.mk
lib/uid_wrapper/config.mk
lib/crypto/config.mk
lib/socket_wrapper/config.mk
lib/util/config.mk
lib/util/charset/config.mk
lib/nss_wrapper/config.mk
lib/tsocket/config.mk
lib/popt/config.mk
lib/async_req/config.mk
lib/tdr/config.mk
lib/torture/config.mk
lib/smbconf/config.mk
This diff is collapsed.
#!/bin/bash
cat mklist.txt |
while read line; do
ws=""
list=""
for f in $line; do
echo "Processing $f"
f="../../$f"
test -f $f || {
echo "$f doesn't exist"
exit 1
}
ws="$(dirname $f)/wscript_build"
if [ -f $ws ]; then
if test -s $ws && ! grep "AUTOGENERATED.by.mktowscript" $ws > /dev/null; then
echo "Skipping manually edited file $ws"
continue
fi
fi
list="$list $f"
done
if [ "$list" = "" ]; then
continue
fi
./mktowscript.pl $list > wscript_build.$$ || {
echo "Failed on $f"
rm -f wscript_build.$$
exit 1
}
if cmp wscript_build.$$ $ws > /dev/null 2>&1; then
rm -f wscript_build.$$
else
mv wscript_build.$$ $ws || exit 1
fi
#exit 1
done
# simple makefile wrapper to run waf
WAF=WAF_MAKE=1 BUILDTOOLS/bin/waf
all:
$(WAF) build
install:
$(WAF) install
uninstall:
$(WAF) uninstall
test:
$(WAF) test
testenv:
$(WAF) test --testenv
quicktest:
$(WAF) test --quick
dist:
$(WAF) dist
distcheck:
$(WAF) distcheck
clean:
$(WAF) clean
distclean:
$(WAF) distclean
reconfigure: configure
$(WAF) reconfigure
# some compatibility make targets
everything: all
testsuite: all
check: test
torture: all
# this should do an install as well, once install is finished
installcheck: test
etags:
$(WAF) etags
ctags:
$(WAF) ctags
configure: autogen-waf.sh BUILDTOOLS/scripts/configure.waf
./autogen-waf.sh
Makefile: autogen-waf.sh configure BUILDTOOLS/scripts/Makefile.waf
./autogen-waf.sh
#!/bin/sh
# generate a set of ABI signatures from a shared library
SHAREDLIB="$1"
GDBSCRIPT="gdb_syms.$$"
(
cat <<EOF
set height 0
set width 0
EOF
nm $SHAREDLIB | cut -d' ' -f2- | egrep '^[BDGTRVW]' | grep -v @ | cut -c3- | sort | while read s; do
echo "echo $s: "
echo p $s
done
) > $GDBSCRIPT
gdb -batch -x $GDBSCRIPT $SHAREDLIB < /dev/null
rm -f $GDBSCRIPT
#!/bin/sh
p=`dirname $0`
echo "Setting up for waf build"
echo "Looking for the buildtools directory"
d="buildtools"
while test \! -d "$p/$d"; do d="../$d"; done
echo "Found buildtools in $p/$d"
echo "Setting up configure"
rm -f $p/configure $p/include/config*.h*
sed "s|BUILDTOOLS|$d|g;s|BUILDPATH|$p|g" < "$p/$d/scripts/configure.waf" > $p/configure
chmod +x $p/configure
echo "Setting up Makefile"
rm -f $p/makefile $p/Makefile
sed "s|BUILDTOOLS|$d|g" < "$p/$d/scripts/Makefile.waf" > $p/Makefile
echo "done. Now run $p/configure or $p/configure.developer then make."
if [ $p != "." ]; then
echo "Notice: The build invoke path is not 'source4'! Use make with the parameter"
echo "-C <'source4' path>. Example: make -C source4 all"
fi
#!/bin/sh
PREVPATH=`dirname $0`
WAF=BUILDTOOLS/bin/waf
# using JOBS=1 gives maximum compatibility with
# systems like AIX which have broken threading in python
JOBS=1
export JOBS
cd BUILDPATH || exit 1
$WAF configure "$@" || exit 1
cd $PREVPATH
#!/bin/bash
set -e
set -x
d=$(dirname $0)
cd $d/..
PREFIX=$HOME/testprefix
if [ $# -gt 0 ]; then
tests="$*"
else
tests="lib/replace lib/talloc lib/tevent lib/tdb source4/lib/ldb"
fi
echo "testing in dirs $tests"
for d in $tests; do
echo "`date`: testing $d"
pushd $d
rm -rf bin
type waf
./autogen-waf.sh
waf dist
./configure -C --enable-developer --prefix=$PREFIX
time make
make install
make distcheck
case $d in
"source4/lib/ldb")
ldd bin/ldbadd
;;
"lib/replace")
ldd bin/replace_testsuite
;;
"lib/talloc")
ldd bin/talloc_testsuite
;;
"lib/tdb")
ldd bin/tdbtool
;;
esac
popd
done
echo "testing python portability"
pushd lib/talloc
versions="python2.4 python2.5 python2.6 python3.0 python3.1"
for p in $versions; do
ret=$(which $p || echo "failed")
if [ $ret == "failed" ]; then
echo "$p not found, skipping"
continue
fi
echo "Testing $p"
$p ../../buildtools/bin/waf configure -C --enable-developer --prefix=$PREFIX
$p ../../buildtools/bin/waf build install
done
popd
echo "testing cross compiling"
pushd lib/talloc
ret=$(which arm-linux-gnueabi-gcc || echo "failed")
if [ $ret != "failed" ]; then
CC=arm-linux-gnueabi-gcc ./configure -C --prefix=$PREFIX --cross-compile --cross-execute='runarm'
make && make install
else
echo "Cross-compiler not installed, skipping test"
fi
popd
This is a set of waf 'tools' to help make building the Samba
components easier, by having common functions in one place. This gives
us a more consistent build, and ensures that our project rules are
obeyed
TODO:
see http://wiki.samba.org/index.php/Waf
#!/usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2008-2010 (ita)
"""
Execute the tasks with gcc -MD, read the dependencies from the .d file
and prepare the dependency calculation for the next run
"""
import os, re, threading
import Task, Logs, Utils, preproc
from TaskGen import before, after, feature
lock = threading.Lock()
preprocessor_flag = '-MD'